{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Sisa Dana</a></li>
            <li class="breadcrumb-item active" aria-current="page">List Sisa Dana</li>
        </ol>
    </nav>


    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Sisa Dana</h6>
            <div class="btn-print">
                <button class="btn btn-primary" data-url="{% url 'profile:cetak_laporan_sisa_dana' %}" onclick="print_sisa_dana(this, event)" type="button"><i class="fa fa-save"></i> Print </button>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered" style="width: 100%;">
                            <thead class="bg-primary text-white">
                                <thead class="bg-primary text-white">
                                    <tr>
                                        <th class="text-center align-middle">No</th>
                                        <th class="text-center align-middle">SKPD</th>
                                        <th class="text-center align-middle">Bagian</th>
                                        <th class="text-center align-middle">Pagu</th>
                                        <th class="text-center align-middle">Realisasi/Tagihan</th>
                                        <th class="text-center align-middle">Sisa Dana</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for item_rincianSPK in data_keterangan_entry %}
                                        <tr>
                                            <td>{{forloop.counter}}</td>
                                            <td>{{item_rincianSPK.skpd}}</td>
                                            <td>{{item_rincianSPK.bagian_nama}}</td>
                                            <td class="text-right"> <b>Rp. {{item_rincianSPK.pagu_per_keterangan|floatformat:2}}</b></td>
                                            <td class="text-right"> <b>Rp. {{item_rincianSPK.subtotal_ssh|floatformat:2}}</b></td>
                                            <td class="text-right"> <b>Rp. {{item_rincianSPK.total_sisa_pagu|floatformat:2}}</b></td>
                                        </tr>
                                    {% endfor %}
                                </tbody>
                                
                            <tfoot>
                                <tr>
                                    <td class="font-weight-bold text-right" colspan="3">Total Tagihan</td>
                                    <td class="font-weight-bold text-right">{{total_keseluruhan_pagu_per_keterangan|floatformat:2}}</td>
                                    <td class="font-weight-bold text-right">{{total_keseluruhan_subtotal_ssh|floatformat:2}}</td>
                                    <td class="font-weight-bold text-right">{{total_keseluruhan_sisa_pagu|floatformat:2}}</td>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}

    <script>
        function print_sisa_dana(e, ev){
            ShowIframeReport(
                `${$(e).data('url')}`,
                'Print Laporan Sisa Dana Per Sub-unit',
                ev
            );
        }

    </script>
{% endblock scripts_bawah %}